<!doctype html>
<html class="no-js" lang="en">
<head>
     {% load staticfiles %}
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Covid19 Ministry</title>

    <link rel="stylesheet" href="{% static 'css/responsive.css' %}">


</head>

<body>
<div class="login-page">

    <div class="form">
        <h3>Ministry Login</h3>
            <input type="text" id="login" placeholder="Phone Number"/>
            <input type="password" id="login_password" placeholder="password"/>
            <button id="sign_in" >login</button>
    </div>
</div>


    <!-- jquery latest version -->
    <script type="text/javascript" src="https://code.jquery.com/jquery-1.11.3.min.js"></script>
    <script>
        $(document).ready(function () {
            $("#sign_in").click(function () {
                var phone_number = $("#login").val();
                var password = $("#login_password").val();
                if(phone_number === ''){
                    alert("Please enter the phone number.")
                    return false;
                }
                if(password === ''){
                    alert("Please enter the password.")
                    return false;
                }
                var QData = {}
                QData.csrfmiddlewaretoken = '{{ csrf_token }}';
                QData.phone_number = phone_number;
                QData.password = password;
                $.ajax({
                    type: 'POST',
                    url: '/api/login/',
                    data: QData,
                    dataType: 'json',
                    success: function (data, msg, err, xhr) {
                        console.log(data)
                        if (data.role == 2){
                            window.location.href = '/admin_panel/shop_list/'
                        }else{
                            alert("You don't have permission to access")
                        }
                    },
                    error: function (xhr, msg, err) {
                        console.log(xhr)
                        if (err === "Bad Request") {
                            $("#error_message_signin").text("")
                            $("#close_signin").css({"display": "block"})
                            var err = JSON.parse(xhr.responseText);
                            if (err["error"] !== undefined) {
                                alert(err["error"])
                                $("#close_signin").css({"display": "block"})
                            }
                        }
                    }
                });
            });
        });
    </script>

</body>

</html>